We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Syncfusion Feedback


Overview

React OHLC chart is like a candle chart. The horizontal lines at the left and right are used to show open and close values of the stock, and the vertical line represents high and low values. They are easily customizable and supports interactive features such as trackball, tooltip, selection, and zooming to track information of the data.


Multi series

Plot multiple series in a single chart to compare different data sets. Enabling legend and tooltip gives more information about the individual series.


Multiple pane

Render the stock prices in different panes of a chart. Visualize the OHLC values in one pane and the volume in another pane.


OHLC chart with Range selector

You can use the range selector along with financial chart to filter and navigate through a large number of data points.

OHLC chart with Range selector


Bull and bear

Customize bull and bear colors.


React OHLC Chart Code Example

Easily get started with React OHLC Chart by using a few lines of HTML and JS code, as demonstrated below. Also explore our React OHLC Chart Example that shows how to render and configure the chart.

import {AxisModel,CandleSeries,Category,ChartComponent,Inject, SeriesCollectionDirective, SeriesDirective, HiloOpenCloseSeries} from'@syncfusion/ej2-react-charts';
import * as React from 'react';
class App extends React.Component<{}, {}> {
  public primaryXAxis: AxisModel = { };
  public data1: any[]= [
    { x: 'Jan', open: 120, high: 160, low: 100, close: 140 },
    { x: 'Feb', open: 150, high: 190, low: 130, close: 170 },
    { x: 'Mar', open: 130, high: 170, low: 110, close: 150 },
    { x: 'Apr', open: 160, high: 180, low: 120, close: 140 },
    { x: 'May', open: 150, high: 170, low: 110, close: 130 },
    { x: 'Jun', open: 120, high: 160, low: 100, close: 140 },
    { x: 'Jul', open: 150, high: 190, low: 130, close: 170 },
    { x: 'Aug', open: 130, high: 170, low: 110, close: 150 },
    { x: 'Sep', open: 160, high: 180, low: 120, close: 140 },
    { x: 'Oct', open: 150, high: 170, low: 110, close: 130 }
];

  public render() {
    return <ChartComponent id='charts' primaryXAxis={this.primaryXAxis}>
      <Inject services={[HiloOpenCloseSeries, Category]} />
      <SeriesCollectionDirective>
      <SeriesDirective dataSource={this.data1} xName='x' yName='y' type='HiloOpenClose'/>
      </SeriesCollectionDirective>
    </ChartComponent>
  }
};
ReactDOM.render(
  <App />,
  document.getElementById('charts') as HTMLElement
);
<!DOCTYPE html>
<html>

<body> 
     <div id="charts"></div>
</body>

</html>

Learning Resources

UG

OHLC Chart User Guide

Learn the available options to customize React OHLC chart.

API

OHLC Chart API Reference

Explore the React OHLC Chart APIs.


85+ REACT UI COMPONENTS

Scroll up icon

We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Syncfusion Feedback


Overview

Angular OHLC Chart is like a candle chart. The horizontal lines at the left and right are used to show open and close values of the stock, and the vertical line represents high and low values. They are easily customizable and supports interactive features such as trackball, tooltip, selection, and zooming to track information of the data.


Multi series

Plot multiple series in a single chart to compare different data sets. Enabling legend and tooltip gives more information about the individual series.


Multiple pane

Render the stock prices in different panes of a chart. Visualize the OHLC values in one pane and the volume in another pane.


OHLC chart with Range selector

You can use the range selector along with a financial chart to filter and navigate through a large number of data points.

OHLC chart with Range selector


Bull and bear

Customize bull and bear colors.


Zoom and pan

Zoom and pan when dealing with large amounts of data to visualize data points in any region.


Angular OHLC Chart Code Example

Easily get started with Angular OHLC Chart by using a few lines of HTML and TS code, as demonstrated below. Also explore our Angular OHLC Chart Example that shows how to render and configure the chart.

<ejs-chart style='display:block' id='chartcontainer'  [primaryXAxis]='primaryXAxis'>
<e-series-collection>
    <e-series [dataSource]='data' type='HilOpenClose' xName='x' high='high' low='low' open='open' close='close'> </e-series>    
</e-series-collection>
</ejs-chart>
//app.component.ts

import { Component } from '@angular/core';
export class AppComponent {
  public data: Object[] = [
    { x: 'Jan', open: 120, high: 160, low: 100, close: 140 },
    { x: 'Feb', open: 150, high: 190, low: 130, close: 170 },
    { x: 'Mar', open: 130, high: 170, low: 110, close: 150 },
    { x: 'Apr', open: 160, high: 180, low: 120, close: 140 },
    { x: 'May', open: 150, high: 170, low: 110, close: 130 },
    { x: 'Jun', open: 120, high: 160, low: 100, close: 140 },
    { x: 'Jul', open: 150, high: 190, low: 130, close: 170 },
    { x: 'Aug', open: 130, high: 170, low: 110, close: 150 },
    { x: 'Sep', open: 160, high: 180, low: 120, close: 140 },
    { x: 'Oct', open: 150, high: 170, low: 110, close: 130 }
];
 
//Initializing Primary X Axis
public primaryXAxis: Object = {
    valueType: 'Category',
     
};
}

//app.module.ts
import { ChartModule } from '@syncfusion/ej2-ng-charts';
import { HiloOpenCloseSeriesService, CategoryService} from '@syncfusion/ej2-ng-charts';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule, ChartModule
  ],
  providers: [ CategoryService, HiloOpenCloseSeriesService],
  bootstrap: [AppComponent]
})
export class AppModule { }

Learning Resources

UG

OHLC Chart User Guide

Learn the available options to customize Angular OHLC Chart.

API

OHLC Chart API Reference

Explore the Angular OHLC Chart APIs.


85+ ANGULAR UI COMPONENTS

Scroll up icon